glab(1)

NAME
glab-cluster-agent-token-cache - Manage cached GitLab Agent tokens.

SYNOPSIS
glab cluster agent token-cache [flags]

DESCRIPTION
Tokens created by glab cluster agent get-token are cached locally in the system keyring and filesystem to avoid creating new tokens for each kubectl operation.

The GitLab CLI caches agent tokens in two locations:

•   Keyring: Uses the system keyring (Windows Credential Manager, macOS Keychain, Linux Secret Service).

•   Filesystem: Stores tokens in the user's cache directory as encrypted files.

The cache improves performance by avoiding the need to create new tokens for each kubectl operation when using glab cluster agent update-kubeconfig.

Cached tokens are stored using a key format that includes:

•   Base64-encoded GitLab instance URL

•   Agent ID

This ensures tokens are properly isolated by GitLab instance and agent.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.

SEE ALSO
glab-cluster-agent(1), glab-cluster-agent-token-cache-clear(1), glab-cluster-agent-token-cache-list(1)